Package wx :: Class StatusBar

[frames | no frames]

## Type StatusBar

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                        StatusBar

Proxy of C++ StatusBar class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
int | `GetBorderX(self)`
int | `GetBorderY(self)`
VisualAttributes | ``GetClassDefaultAttributes`(variant)` Get the default attributes for this class. (Static method)
Rect | `GetFieldRect(self, i)`
| ``GetFields`(self)` Return a list of field values in the status bar.
int | `GetFieldsCount(self)`
String | `GetStatusText(self, number)`
| `PopStatusText(self, number)`
| `PushStatusText(self, text, number)`
| ``SetFields`(self, items)` Set the values of the statusbar fields from a list of strings.
| `SetFieldsCount(self, number)`
| `SetMinHeight(self, height)`
| `SetStatusStyles(self, styles)`
| `SetStatusText(self, text, number)`
| `SetStatusWidths(self, widths)`

Property Summary
| `BorderX`: See `GetBorderX`
| `BorderY`: See `GetBorderY`
| `FieldRect`: See `GetFieldRect`
| `Fields`: See `GetFields` and `SetFields`
| `FieldsCount`: See `GetFieldsCount` and `SetFieldsCount`
| `StatusText`: See `GetStatusText` and `SetStatusText`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, style=DEFAULT_STATUSBAR_STYLE, name=StatusLineNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.Window.__init__` (inherited documentation)

### Create(self, parent, id=-1, style=ST_SIZEGRIP, name=StatusLineNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Window.Create` (inherited documentation)

### GetFields(self)

Return a list of field values in the status bar.

### SetFields(self, items)

Set the values of the statusbar fields from a list of strings.

Static Method Details

### GetClassDefaultAttributes(variant=WINDOW_VARIANT_NORMAL)

Get the default attributes for this class. This is useful if you want to use the same font or colour in your own control as in a standard control -- which is a much better idea than hard coding specific colours or fonts which might look completely out of place on the user's system, especially if it uses themes.

The variant parameter is only relevant under Mac currently and is ignore under other platforms. Under Mac, it will change the size of the returned font. See `wx.Window.SetWindowVariant` for more about this.

  Parameters:
    `variant`
    (type=int)

  Returns:
    VisualAttributes

Property Details

### BorderX

See `GetBorderX`

  Get Method:
    `GetBorderX`(self)

### BorderY

See `GetBorderY`

  Get Method:
    `GetBorderY`(self)

### FieldRect

See `GetFieldRect`

  Get Method:
    `GetFieldRect`(self, i)

### Fields

See `GetFields` and `SetFields`

  Get Method:
    `GetFields`(self)
  Set Method:
    `SetFields`(self, items)

### FieldsCount

See `GetFieldsCount` and `SetFieldsCount`

  Get Method:
    `GetFieldsCount`(self)
  Set Method:
    `SetFieldsCount`(self, number)

### StatusText

See `GetStatusText` and `SetStatusText`

  Get Method:
    `GetStatusText`(self, number)
  Set Method:
    `SetStatusText`(self, text, number)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:32 2007 | http://epydoc.sf.net